/***************************************************************************
 *   Copyright (C) by                                                      *
 *     - 2005: Christian Leh <moodwrod@web.de>                             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kuser.h>
#include <kstandarddirs.h>
#include <tdeconfig.h>

#include <tqfileinfo.h>
#include <tqdatetime.h>
#include <tqimage.h>

#include "cache.h"

/* Disabled Cache (Michael Ummels) */

Cache::Cache(Scaler* scaler, const TQString& themeEngine, const TQString& theme)
{
}


TQImage* Cache::cacheFile(const TQString& file)
{
  return new TQImage(file);
}


void Cache::createCacheDir()
{
}


void Cache::writeInfoFile(TQString& file)
{
}


bool Cache::isInSync(TQString& file)
{
  return true;
}


TQString Cache::getFile(TQString file)
{
  return file;
}
